title1 Census of Canada, 1971: MUNICIPALITY/CA-Long Form : B2HHDC02
title2 SAS control commands by Sushil Kumar UT/DLS 07/01
// JOB
/*SERVICE ?
/*ROUTE PRINT RMT402
//  EXEC SAS
//SASLIB  DD DSN=
//IN  DD DSN=
//OUT  DD DSN=
//SYSIN  DD *
PROC FORMAT DDNAME=SASLIB;
VALUE  V1_F   10         = 'NEWFOUNDLAND'
             11         = 'PR EDWARD ISLAND'
             12         = 'NOVA SCOTIA'
             13         = 'NEW BRUNSWICK'
             24         = 'QUEBEC'
             35         = 'ONTARIO'
             46         = 'MANITOBA'
             47         = 'SASKATCHEWAN'
             48         = 'ALBERTA'
             59         = 'BRITISH COLUMBIA'
             60         = 'YUKON TERRITORY'
             61         = 'NW TERRITORIES'
       ;
VALUE  V7_F   1          = 'RURAL'
             2          = 'CTV'
             3          = 'URBAN'
             4          = 'URBAN'
             5          = 'URBAN'
             6          = 'URBAN'
             7          = 'URBAN'
             8          = 'URBAN'
             9          = 'URBAN'
             0          = 'NOT A MUN RECORD'
       ;
VALUE  V10_F   1          = 'LARGEST CITY'
             2          = 'REMAINDER URBANI'
             3          = 'FRINGE- URBAN'
             4          = 'FRINGE- RURAL'
       ;
VALUE  $V11_F   'A' = '>_500000 (U)'
             'B' = '100000-499999 (U'
             'C' = '30000-99999 (U)'
             'D' = '10000-29999 (U)'
             'E' = '5000-9999 (U)'
             'F' = '2500-4999 (U)'
             'G' = '1000-2499 (U)'
             'H' = '< 1000 (U)'
             '1' = '>_500000 (R)'
             '2' = '100000-499999 (R'
             '3' = '30000-99999 (R)'
             '4' = '10000-29999 (R)'
             '5' = '5000-9999 (R)'
             '6' = '2500-4999 (R)'
             '7' = '1000-2499 (R)'
             '8' = '< 1000 (R)'
       ;
VALUE  V21_F   1          = 'URBAN'
             2          = 'RURAL'
       ;
VALUE  V23_F   0          = 'URBAN'
             1          = 'RURAL'
       ;
VALUE  V24_F   0          = 'URBAN CORE'
             1          = 'FRINGE'
       ;
VALUE  V25_F   0          = 'URBAN'
             1          = 'RURAL'
       ;
DATA OUT.???;
INFILE IN.???;
INPUT  PROV   1-2
       ED   3-4
       EA   5-7
       COUNTY   8-9
       MUNIC   10-11
       SUBDIV   $CHAR2.
       RURAL   14-14
       CMA   15-17
       CT   18-20
       CMAPART   21-21
       MUNSIZE   $CHAR1.
       RURSIZE   $CHAR1.
       REFCODE   24-25
       ECONREG   26-27
       CMCA   28-29
       CTV   30-33
       CMA-CA   34-36
       CONTROL   37-37
       MUNSUBDV   38-38
       BLANK1   39-41
       ECONAREA   42-42
       MSUBSIZE   43-43
       RURCODE   44-46
       CMACODE   47-47
       LGECITY   48-50
       DSN   $CHAR8.
       SPBYTES   59-63
       V1   64-70
       V2   71-77
       V3   78-84
       V4   85-91
       V5   92-98
       V6   99-105
       V7   106-112
       V8   113-119
       V9   120-126
       V10   127-133
       V11   134-140
       V12   141-147
       V13   148-154
       V14   155-161
       V15   162-168
       V16   169-175
       V17   176-182
       V18   183-189
       V19   190-196
       V20   197-203
       V21   204-210
       V22   211-217
       V23   218-224
       V24   225-231
       V25   232-238 .0
       V26   239-245 .0
       V27   246-252 .0
       V28   253-259
       V29   260-266
       V30   267-273
       V31   274-280
       V32   281-287
       V33   288-294
       V34   295-301
       V35   302-308
       V36   309-315
       V37   316-322
       V38   323-329
       V39   330-336
       V40   337-343
       V41   344-350
       V42   351-357
       V43   358-364
       V44   365-371
       V45   372-378
       V46   379-385
       V47   386-392
       V48   393-399
       V49   400-406
       V50   407-413
       V51   414-420
       V52   421-427 .0
       V53   428-434 .0
       V54   435-441 .0
       V55   442-448
       V56   449-455
       V57   456-462
       V58   463-469
       V59   470-476 .0
       V60   477-483
       V61   484-490
       V62   491-497
       V63   498-504
       V64   505-511
       V65   512-518
       V66   519-525
       V67   526-532
       V68   533-539
       V69   540-546
       V70   547-553
       V71   554-560
       V72   561-567
       V73   568-574
       V74   575-581
       V75   582-588
       V76   589-595
       V77   596-602
       V78   603-609
       V79   610-616
       V80   617-623
       V81   624-630
       V82   631-637
       V83   638-644
       V84   645-651
       V85   652-658
       V86   659-665
       V87   666-672
       V88   673-679
       V89   680-686
       V90   687-693
       V91   694-700
       V92   701-707
       V93   708-714
       V94   715-721
       V95   722-728 .0
       V96   729-735
       V97   736-742
       V98   743-749
       V99   750-756
       V100   757-763
       V101   764-770
       V102   771-777
       V103   778-784
       V104   785-791
       V105   792-798
       V106   799-805
       V107   806-812
       V108   813-819 .0
       V109   820-826 .0
       V110   827-833
       V111   834-840
       V112   841-847
       V113   848-854
       V114   855-861
       V115   862-868
       V116   869-875
       V117   876-882
       V118   883-889
       V119   890-896
       V120   897-903
       V121   904-910
       V122   911-917
       V123   918-924
       V124   925-931
       V125   932-938
       V126   939-945
       V127   946-952
       V128   953-959
       V129   960-966
       V130   967-973
       V131   974-980 .0
       V132   981-987 .0
       V133   988-994 .0
       V134   995-1001 .0
       V135   1002-2002
      ;
LABEL   PROV = 'Province'
        ED = 'Electroral district'
        EA = 'Enumeration area'
        COUNTY = 'County/ Census division'
        MUNIC = 'Municipality'
        SUBDIV = 'Subdivision'
        RURAL = 'Rural/ Urban municipality'
        CMA = 'Metropolitan area/ Census agglomeration'
        CT = 'Census tract'
        CMAPART = 'CMA/ CA part'
        MUNSIZE = 'Municipality size code- Urban'
        RURSIZE = 'Rural/ Urban size code'
        REFCODE = 'Reference code'
        ECONREG = 'Economic region of Statistics Canada'
        CMCA = 'Canada mannpower centre area code'
        CTV = 'City, town, village- alphabetic seq numb'
        CMA-CA = 'CMA/ CA- alphabetic seq number'
        CONTROL = 'Casper control field'
        MUNSUBDV = 'Municicpal subdivision'
        BLANK1 = 'Blank- for future use'
        ECONAREA = 'Economic area'
        MSUBSIZE = 'Municipal subdivision size'
        RURCODE = 'Rural/urban & CMA/CA codes'
        CMACODE = 'CMA/CA code'
        LGECITY = 'Largest city code'
        DSN = 'Dataset name'
        SPBYTES = 'Spare bytes'
        V1 = 'Tot primary fam hhd'
        V2 = 'Primary fam hhd- inc: <3000'
        V3 = 'Primary fam hhd- inc: 3000-4999'
        V4 = 'Primary fam hhd- inc: 5000-6999'
        V5 = 'Primary fam hhd- inc: 7000-9999'
        V6 = 'Primary fam hhd- inc: 10000-14999'
        V7 = 'Primary fam hhd- inc: 15000 & over'
        V8 = '0 inc recepients: tot'
        V9 = '0 inc recepients- inc: <3000'
        V10 = '0 inc recepients- inc: 3000-4999'
        V11 = '0 inc recepients- inc: 5000-6999'
        V12 = '0 inc recepients- inc: 7000-9999'
        V13 = '0 inc recepients- inc: 10000-14999'
        V14 = '0 inc recepients- inc: 15000 & over'
        V15 = '1 inc recepient: tot'
        V16 = '1 inc recipient- inc: <3000'
        V17 = '1 inc recipient- inc: 3000-4999'
        V18 = '1 inc recipient- inc: 5000-6999'
        V19 = '1 inc recipient- inc: 7000-9999'
        V20 = '1 inc recipient- inc: 10000-14999'
        V21 = '1 inc recipient- inc: 15000 & over'
        V22 = '2 inc recipients: tot'
        V23 = '2 inc recipients- inc: <3000'
        V24 = '2 inc recipients- inc: 3000-4999'
        V25 = '2 inc recipients- inc: 5000-6999'
        V26 = '2 inc recipients- inc: 7000-9999'
        V27 = '2 inc recipients- inc: 10000-14999'
        V28 = '2 inc recipients- inc: 15000 & over'
        V29 = '3 or more inc recipients: tot'
        V30 = '3 or more inc recipients- inc: <3000'
        V31 = '3 or more inc recipients- inc: 3000-4999'
        V32 = '3 or more inc recipients- inc: 5000-6999'
        V33 = '3 or more inc recipients- inc: 7000-9999'
        V34 = '3 or more inc recipients- inc: 10000-14999'
        V35 = '3 or more inc recipients- inc: 15000 & over'
        V36 = 'Avg primary fam hhd inc: all'
        V37 = 'Avg primary fam hhd inc: 0 inc recipient'
        V38 = 'Avg primary fam hhd inc: 1 inc recipient'
        V39 = 'Avg primary fam hhd inc: 2 inc recipients'
        V40 = 'Avg primary fam hhd inc: 3 or more inc recipients'
        V41 = 'Avg dwl inc: all'
        V42 = 'Avg dwl inc: owned'
        V43 = 'Avg dwl inc: rented'
        V44 = 'Avg dwl inc: single detached'
        V45 = 'Avg dwl inc: attached, row house'
        V46 = 'Avg dwl inc: apartment'
        V47 = 'Avg dwl inc: other types'
        V48 = 'Avg dwl inc: 1-3 rooms'
        V49 = 'Avg dwl inc: 4-5 rooms'
        V50 = 'Avg dwl inc: 6 or more rooms'
        V51 = 'Avg dwl inc: < 1 person per room'
        V52 = 'Avg dwl inc: 1 or more persons per room'
        V53 = 'Avg hhd inc: all'
        V54 = 'Avg hhd inc with: refrigerator'
        V55 = 'Avg hhd inc with: home freezer'
        V56 = 'Avg hhd inc with: fridge & freezer'
        V57 = 'Avg hhd inc with: neither fridge nor freezer'
        V58 = 'Avg hhd inc with: no elec dishwasher'
        V59 = 'Avg hhd inc with: 1 or more dishwashers'
        V60 = 'Avg hhd inc with: no automatic clothes dryer'
        V61 = 'Avg hhd inc with: 1 or more clothes dryer'
        V62 = 'Avg hhd inc with: B&W TV only'
        V63 = 'Avg hhd inc with: colour TV only'
        V64 = 'Avg hhd inc with: both B&W & Colour TV'
        V65 = 'Avg hhd inc with: no TV'
        V66 = 'Avg hhd inc with: no car'
        V67 = 'Avg hhd inc with: one car'
        V68 = 'Avg hhd inc with: two or more cars'
        V69 = 'Avg hhd inc with: installed bath or shower-excl use'
        V70 = 'Avg hhd inc with: installed bath or shower-shared'
        V71 = 'Avg hhd inc with: no installed bath or shower'
        V72 = 'Avg hhd inc with: flush toilet-excl use'
        V73 = 'Avg hhd inc with: installed flush toilet-shared'
        V74 = 'Avg hhd inc with: no installed flush toilet'
        V75 = 'Avg hhd inc with: no vac homes'
        V76 = 'Avg hhd inc with: one or more vac home'
        V77 = 'Avg hhd inc with: off st parking'
        V78 = 'Avg hhd inc with: no off st parking'
        V79 = 'Avg priamry fam hhd inc'
        V80 = 'Dwl value: under 3000'
        V81 = 'Dwl value: 3000-7499'
        V82 = 'Dwl value: 7500-12499'
        V83 = 'Dwl value: 12500-17499'
        V84 = 'Dwl value: 17500-22499'
        V85 = 'Dwl value: 22500-32499'
        V86 = 'Dwl value: 32500 & more'
        V87 = 'Tot hhd: tot hhd inc from all sources'
        V88 = 'hhd-income from all sources: under 3000'
        V89 = 'hhd-income from all sources: 3000-4999'
        V90 = 'hhd-income from all sources: 5000-6999'
        V91 = 'hhd-income from all sources: 7000-9999'
        V92 = 'hhd-income from all sources: 10000-14999'
        V93 = 'hhd-income from all sources: 15000 & over'
        V94 = 'Fam hhd-tot hhd inc from all sources'
        V95 = 'Fam hhd-inc from all sources: under 3000'
        V96 = 'Fam hhd-inc from all sources: 3000-4999'
        V97 = 'Fam hhd-inc from all sources: 5000-6999'
        V98 = 'Fam hhd-inc from all sources: 7000-9999'
        V99 = 'Fam hhd-inc from all sources: 10000-14999'
        V100 = 'Fam hhd-inc from all sources: 15000 & over'
        V101 = 'Non-fam hhd-tot hhd inc from all sources'
        V102 = 'Non-fam hhd-inc from all sources: under 3000'
        V103 = 'Non-fam hhd-inc from all sources: 3000-4999'
        V104 = 'Non-fam hhd-inc from all sources: 5000-6999'
        V105 = 'Non-fam hhd-inc from all sources: 7000-9999'
        V106 = 'Non-fam hhd-inc from all sources: 10000-14999'
        V107 = 'Non-fam hhd-inc from all sources: 15000 & over'
        V108 = 'Tot hhd-avg inc from all sources'
        V109 = 'Fam hhd-avg inc from all sources'
        V110 = 'Non-fam hhd-avg inc from all sources'
        V111 = 'Tot hhd-tot hhd inc from emp'
        V112 = 'Tot hhd-inc from emp: under 3000'
        V113 = 'Tot hhd-inc from emp: 3000-4999'
        V114 = 'Tot hhd-inc from emp: 5000-6999'
        V115 = 'Tot hhd-inc from emp: 7000-9999'
        V116 = 'Tot hhd-inc from emp: 10000-14999'
        V117 = 'Tot hhd-inc from emp: 15000 or more'
        V118 = 'Fam hhd-tot hhd inc from emp'
        V119 = 'Fam hhd-inc from emp: under 3000'
        V120 = 'Fam hhd-inc from emp: 3000-4999'
        V121 = 'Fam hhd-inc from emp: 5000-6999'
        V122 = 'Fam hhd-inc from emp: 7000-9999'
        V123 = 'Fam hhd-inc from emp: 10000-14999'
        V124 = 'Fam hhd-inc from emp: 15000 or over'
        V125 = 'Non-fam hhd- tot hhd inc from emp'
        V126 = 'Non-fam hhd-inc from emp: under 3000'
        V127 = 'Non-fam hhd-inc from emp: 3000-4999'
        V128 = 'Non-fam hhd-inc from emp: 5000-6999'
        V129 = 'Non-fam hhd-inc from emp: 7000-9999'
        V130 = 'Non-fam hhd-inc from emp: 10000-14999'
        V131 = 'Non-fam hhd-inc from emp: 15000 or more'
        V132 = 'Tot hhd: avg emp inc'
        V133 = 'Fam hhd: avg emp inc'
        V134 = 'Non-fam hhd: avg emp inc'
        V135 = 'Zeroes filled cells'
      ;
FORMAT  PROV        V1_F.
        RURAL       V7_F.
        CMAPART     V10_F.
        MUNSIZE     $V11_F.
        ECONAREA    V21_F.
        RURCODE     V23_F.
        CMACODE     V24_F.
        LGECITY     V25_F.
;
